# Class RowDetailsConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents configuration settings for row details, typically used to control the display and behavior of expandable detail rows.

    public class RowDetailsConfig

Inheritance
  object
  RowDetailsConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Cells

    public List<CellDetails>? Cells { get; set; }

#### Property Value

List<CellDetails>

### DialogConfig

    public DialogConfig? DialogConfig { get; set; }

#### Property Value

DialogConfig

### GrowPriority

    public double GrowPriority { get; set; }

#### Property Value

double

### Rows

    public List<RowDetailsConfig>? Rows { get; set; }

#### Property Value

List<RowDetailsConfig>

### Title

    public string? Title { get; set; }

#### Property Value

string

### Type

    public DisplayConfigEnums.RowType Type { get; set; }

#### Property Value

DisplayConfigEnums.RowType